/**
 *
 * $Id: devecho.cpp,v 1.1.1.1 2004/07/10 12:33:22 mviara Exp $
 * $Author: mviara $
 * $Name:  $
 *
 * Device echo.
 * 
 * $Log: devecho.cpp,v $
 * Revision 1.1.1.1  2004/07/10 12:33:22  mviara
 * Migrated from RCS
 *
 *
 * 
 */
#include "ansi.hpp"

static char rcsinfo[]= "$Id: devecho.cpp,v 1.1.1.1 2004/07/10 12:33:22 mviara Exp $";

char * CDeviceECHO::Name()
{
	return "ECHO $Revision: 1.1.1.1 $";
}
	

CDeviceECHO::CDeviceECHO()
{
	size = 0;
}


int CDeviceECHO::Write(char * p,int len)
{
	assert(len < sizeof(buffer));

	memcpy(buffer,p,len);
	size = len;

	return len;
}

int CDeviceECHO::Read(char * p,int maxsize)
{
	int i;

	if (maxsize <= 0)
		return 0;
	
	if (size)
	{
		memcpy(p,buffer,size);
		i = size;
		size = 0;
		return i;
	}

	return 0;
}
